Retrieve a delta
Returns hours to validate requests that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/hours-to-validate-requests?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-hours-to-validate.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
string | — | Read-only | Unique identifier (GUID) for the hours to validate request. |
person.id |
integer | — | Read-only | Internal ID of the person the request applies to. |
date |
string | — | Read-only | Date the requested hours are registered on (YYYY-MM-DD). |
durations |
array | — | Read-only | The durations covered by the request. |
durations[].id |
integer | — | Read-only | Identifier of the requested duration. |
durations[].startTimeInMinutes |
integer | — | Read-only | Start time of the requested duration (minutes since midnight). Empty when the duration is not bound to a start time. |
durations[].endTimeInMinutes |
integer | — | Read-only | End time of the requested duration (minutes since midnight). Empty when the duration is not bound to an end time. |
durations[].durationInMinutes |
integer | — | Read-only | Requested duration, in minutes. |
durations[].originalDurationInMinutes |
integer | — | Read-only | Duration before the request was raised, in minutes. |
status |
string | — | Read-only | Status of the request. Possible values: Uninitialized, Requested, Deleted, Approved, Refused. |
requested.person.id |
integer | — | Read-only | Internal ID of the person who raised the request. |
requested.requestedAt |
string | — | Read-only | Date and time the request was raised (ISO 8601 format). |
isStale |
boolean | — | Read-only | Indicates whether the request has become stale. |
conversation |
array | — | Read-only | Comments exchanged on the request. Empty when no comments were made. |
conversation[].person.id |
integer | — | Read-only | Internal ID of the person who made the comment. |
conversation[].commentedAt |
string | — | Read-only | Date and time the comment was made (ISO 8601 format). |
conversation[].comment |
string | — | Read-only | Text of the comment. |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax, unknown filter field, or a person filter combined with delta |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
Examples
Delta with date filter
Example with a start date:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/hours-to-validate-requests?delta&filter=date ge '2025-01-01'
Delta with date range filter
Example with a date range:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/hours-to-validate-requests?delta&filter=date ge '2025-01-01' and date le '2025-12-31'